Skip to main content
`Ctrl`+`K`

# MatFDColoringGetFunction

Gets the function to use for computing the Jacobian.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatFDColoringGetFunction(MatFDColoring matfd, MatFDColoringFn **f, void **fctx)

Not Collective

## Input Parameter

- matfd - the coloring context

## Output Parameters

- f - the function, see `MatFDColoringFn` for the calling sequence

- fctx - the optional user-defined function context

## See Also

`Mat`, `MatFDColoring`, `MatFDColoringCreate()`, `MatFDColoringSetFunction()`, `MatFDColoringSetFromOptions()`, `MatFDColoringFn`

## Level

intermediate

## Location

src/mat/matfd/fdmatrix.c

Index of all MatFD routines
Table of Contents for all manual pages
Index of all manual pages